Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkBuilder

Exposes the necessary methods required to configure the OpenIddict Entity Framework 6.x services.

##### Inheritance

System.Object
OpenIddictEntityFrameworkBuilder

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Microsoft.Extensions.DependencyInjection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkBuilder

### Constructors

#### OpenIddictEntityFrameworkBuilder(IServiceCollection)

Initializes a new instance of OpenIddictEntityFrameworkBuilder.

##### Declaration

    public OpenIddictEntityFrameworkBuilder(IServiceCollection services)

##### Parameters

Type | Name | Description
--- | --- | ---
IServiceCollection | services | The services collection.

### Methods

#### Configure(Action<OpenIddictEntityFrameworkOptions>)

Amends the default OpenIddict Entity Framework 6.x configuration.

##### Declaration

    public OpenIddictEntityFrameworkBuilder Configure(Action<OpenIddictEntityFrameworkOptions> configuration)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action<OpenIddictEntityFrameworkOptions> | configuration | The delegate used to configure the OpenIddict options.

##### Returns

Type | Description
--- | ---
OpenIddictEntityFrameworkBuilder | The OpenIddictEntityFrameworkBuilder.

##### Remarks

This extension can be safely called multiple times.

#### ReplaceDefaultEntities<TApplication, TAuthorization, TScope, TToken, TKey>()

Configures OpenIddict to use the specified entities, derived from the default OpenIddict Entity Framework 6.x entities.

##### Declaration

    public OpenIddictEntityFrameworkBuilder ReplaceDefaultEntities<TApplication, TAuthorization, TScope, TToken, TKey>()
        where TApplication : OpenIddictEntityFrameworkApplication<TKey, TAuthorization, TToken> where TAuthorization : OpenIddictEntityFrameworkAuthorization<TKey, TApplication, TToken> where TScope : OpenIddictEntityFrameworkScope<TKey> where TToken : OpenIddictEntityFrameworkToken<TKey, TApplication, TAuthorization> where TKey : IEquatable<TKey>

##### Returns

Type | Description
--- | ---
OpenIddictEntityFrameworkBuilder | The OpenIddictEntityFrameworkBuilder.

##### Type Parameters

Name | Description
--- | ---
TApplication |
TAuthorization |
TScope |
TToken |
TKey |

#### UseDbContext(Type)

Configures the OpenIddict Entity Framework 6.x stores to use the specified database context type.

##### Declaration

    public OpenIddictEntityFrameworkBuilder UseDbContext(Type type)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Type | type | The type of the used by OpenIddict.

##### Returns

Type | Description
--- | ---
OpenIddictEntityFrameworkBuilder | The OpenIddictEntityFrameworkBuilder.

#### UseDbContext<TContext>()

Configures the OpenIddict Entity Framework 6.x stores to use the specified database context type.

##### Declaration

    public OpenIddictEntityFrameworkBuilder UseDbContext<TContext>()
        where TContext : DbContext

##### Returns

Type | Description
--- | ---
OpenIddictEntityFrameworkBuilder | The OpenIddictEntityFrameworkBuilder.

##### Type Parameters

Name | Description
--- | ---
TContext | The type of the used by OpenIddict.